#ifndef SQLTABLE_H
#define SQLTABLE_H

#include <QObject>
#include <QList>
#include "tablefield.h"


class SqlTable : public QObject
{
Q_OBJECT
public:
        explicit SqlTable(QString tname, QObject *parent = 0);


void setName(QString tname); //    ,      tname
QString name();              //      
QList<TableField*> fields(); //      
bool setPrimaryKey(QString fieldName); //     ,       fieldName
QString lastError(); //      ,      
QString primaryKey(); //    ,    
QString sqlString(); //     Sql-,       
void append(TableField* newfield); //     ()    ,     newfield ()


private:
QString tableName;          //  
QString SqlString;          //  Sql-      
QString tableCharacterSet;       //   ,     
QString tablePrimaryKey;    //  ,    
QString tableEngine;        //  
int tablePrimaryKeyIndex;        //    (   fields),     
QList<TableField*> tableFields;  //       
TableField *field_tmp;
QString tableLastError; //      ,      

bool createSqlString();     //    Sql-,      e 

protected:

};

#endif // SQLTABLE_H
